/*
 * $Id: altencCodec.java,v 1.4 2002/11/21 22:46:03 mriem Exp $
 *
 * Copyright (c) 1999-2002, RIACA, Technische Universiteit Eindhoven (TU/e).
 * All Rights Reserved.
 *
 * The contents of this file are subject to the RIACA Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.riaca.win.tue.nl/
 */


package mathematicaCodec;

import nl.tue.win.riaca.openmath.codec.CDCodec;
import nl.tue.win.riaca.openmath.codec.Codec;
import nl.tue.win.riaca.openmath.codec.CodecDecodeException;
import nl.tue.win.riaca.openmath.codec.CodecEncodeException;
import nl.tue.win.riaca.openmath.lang.OMObject;


/**
 * A CD-codec that handles the OpenMath 'alt_enc' CD. <p>
 *
 * @author Manfred Riem (mriem@win.tue.nl)
 * @version 1.0
 */

public class altencCodec 
    extends CDCodec
{
    /**
     * Constructor. <p>
     *
     * @since 1.0
     */

    public altencCodec()
    {
    	super();
	
	// System.out.println( "altencCodec.<init>" );
    }

 
    /**
     * Constructor. <p>
     *
     * @since 1.0
     */
   
    public altencCodec( Codec fParent )
    {
    	super();
	
    	mParent = fParent;
	
	// System.out.println( "altencCodec.<init>" );
    }
  
  
    /**
     * Encodes the given OMObject to Mathematica-syntax. <p>
     *
     * @since 1.0
     */
   
    public String encodeOMObject( OMObject fOMObject )
        throws CodecEncodeException
    {
    	// System.out.println( "altencCodec.encode" );
	
	throw new CodecEncodeException( "Unable to encode: " + 
					fOMObject );
    }
    
    
    /**
     * Decodes the given Mathematica-syntax to a OMObject. <p>
     *
     * @since 1.0
     */
  
    public OMObject decodeOMObject( String fMathematicaSyntax )
        throws CodecDecodeException
    {
    	// System.out.println( "altencCodec.decode" );
	
	throw new CodecDecodeException( "Unable to decode: " +
					fMathematicaSyntax );
    }
}

