/*
 * $Id: veccalc1Codec.java,v 1.3 2002/08/16 08:32:32 mriem Exp $
 *
 * Copyright (c) 1999-2002, RIACA, Technische Universiteit Eindhoven (TU/e).
 * All Rights Reserved.
 *
 * The contents of this file are subject to the RIACA Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.riaca.win.tue.nl/
 */


package mathematicaCodec;

import nl.tue.win.riaca.openmath.codec.*;
import nl.tue.win.riaca.openmath.lang.*;

/**
 * A CD-codec that handles the OpenMath 'veccalc1' CD. <p>
 *
 * @author Manfred Riem (mriem@win.tue.nl)
 * @version 1.1
 */

public class veccalc1Codec
    extends CDCodec
{
    /**
     * Stores the names in this codec. <p>
     *
     * @since 1.0
     */
   
    public String[] sNames = 
    {
        "curl",
        "divergence",
        "grad",
        "Laplacian"
    };
    
    
    /**
     * Constructor. <p>
     *
     * @since 1.0
     */
    
    public veccalc1Codec()
    {
        super();
        
        // System.out.println( "veccalc1Codec.<init>" );
    }
    
    
    /**
     * Constructor. <p>
     *
     * @since 1.0
     */
   
    public veccalc1Codec( Codec fParent )
    {
        super();
	    
	mParent = fParent;
	
	// System.out.println( "veccalc1Codec.<init>" );
    }
    
    
    /**
     * Encodes the given OMObject to Mathematica-syntax. <p>
     *
     * @since 1.0
     */
   
    public String encodeOMObject( OMObject fOMObject )
        throws CodecEncodeException
    {
	// System.out.println( "veccalc1Codec.encode" );
	
        throw new CodecEncodeException( "Unable to encode: " + fOMObject.toString() );
    }
    
    
    /**
     * Decodes the given Mathematica-syntax to a OMObject. <p>
     *
     * @since 1.0
     */
    
    public OMObject decodeOMObject( String fMathematicaSyntax )
        throws CodecDecodeException
    {
	// System.out.println( "veccalc1Codec.decode" );
        
        throw new CodecDecodeException( "Unable to decode: " + fMathematicaSyntax );
    }
}

